/**
 * @file	xmltype.h
 * @brief	General data types for LibXmlKit.
 * @date	2004.02.14
 * @author	Steel Wheels Project
 * @par Copyright
 *   Copyright (C) 2004 Steel Wheels Project.
 *   All right reserved.
 * @par Description
 *   General data type definition for LibXmlKit.
 */

#if !defined(XMLTYPE_H_INCLUDED)
/** Avoid multiple inclusion */
#define	XMLTYPE_H_INCLUDED

#include <libxml/tree.h>
#include <libxml/xmlregexp.h>
#include <libxml/xpath.h>

#ifndef TRUE
	/** Value of TRUE */
#	define TRUE	((BOOL) 1)
#endif

#ifndef FALSE
	/** Value of FALSE */
#	define FALSE	((BOOL) 0)
#endif

#endif	/* !defined(XMLTYPE_H_INCLUDED) */

