/**
 * @file	LibXmlKit.h
 * @brief	Root file of all header files.
 * @date	2004.02.14
 * @author	Steel Wheels Project
 * @par Copyright
 *   Copyright (C) 2004 Steel Wheels Project.
 *   All right reserved.
 * @par Description
 *   Root file of all header files.
 *   The software use this library <b>must</b> include this file.
 */

#if !defined(LIBXMLKIT_H_INCLUDED)
#define	LIBXMLKIT_H_INCLUDED

#include <LibXmlKit/libxmlkit-config.h>
#include <LibXmlKit/xmlsysdep.h>
#include <LibXmlKit/xmltype.h>
#include <LibXmlKit/xmlobject.h>
#include <LibXmlKit/xmllex.h>
#include <LibXmlKit/xmlnode.h>
#include <LibXmlKit/xmlnodeset.h>
#include <LibXmlKit/xmldoc.h>
#include <LibXmlKit/xmlregexp.h>
#include <LibXmlKit/xpath.h>

#endif	/* !defined(LIBXMLKIT_H_INCLUDED) */

